{$align = $instance->getProperty(textPosHorizontal)}
{$justify = $instance->getProperty(textPosVertical)}
{if $instance->getProperty('padding') == 'p-0'}
    {$padding = '0'}
{elseif $instance->getProperty('padding') == 'p-1'}
    {$padding = '0.25rem'}
{elseif $instance->getProperty('padding') == 'p-2'}
    {$padding = '0.5rem'}
{elseif $instance->getProperty('padding') == 'p-3'}
    {$padding = '1rem'}
{elseif $instance->getProperty('padding') == 'p-4'}
    {$padding = '1.5rem'}
{elseif $instance->getProperty('padding') == 'p-5'}
    {$padding = '2rem'}
{elseif $instance->getProperty('padding') == 'p-6'}
    {$padding = '3rem'}
{elseif $instance->getProperty('padding') == 'p-7'}
    {$padding = '4rem'}
{elseif $instance->getProperty('padding') == 'p-8'}
    {$padding = '5rem'}
{/if}

{$padding = '3rem'}

{if $padding == 0}
    {$height = {$instance->getProperty('sliderheight')}}
{else}
    {$height = 'calc('|cat:$instance->getProperty('sliderheight')|cat:' + ( 2 * '|cat:$padding|cat:'))'}
{/if}

{if $instance->getProperty(direction) == 'rtl'}
    {if $align == 'start'} {$align = 'end'}
    {elseif $align == 'end'} {$align = 'start'} {/if}
{/if}
{if $isPreview}
    <h4 class="text-center my-5 pt-2"><i class="bi bi-code-square"></i> Logo Slider</h4>
{else}
    {if $instance->getProperty('blockId') != ''}
        {$uid="{$instance->getProperty('blockId')}" }
    {else}
        {$uid = $instance->getUid()}
    {/if}
    <div id="{$uid}" class="splide dzm-ls-slider p-6 {$instance->getStyleClasses()} {if $instance->getProperty('isGrey')} dzm-ls-is-gray{/if}" aria-label="DZM Logo Slider" style="height:{$height}; {$instance->getStyleString()}">
        {if $instance->getProperty('slides')|count > 0}
            <div class="splide__track dzm-opcis-track {if {$instance->getProperty('direction')} == 'ttb'} d-flex justify-content-center{/if}">
                <div class="splide__list {if {$instance->getProperty('direction')} != 'ttb'} d-flex align-items-center {/if}">

                    {foreach $instance->getProperty('slides') as $i => $slide}
                        {if !empty($slide.title) || !empty($slide.desc)}
                            {$slideTitle = '#'|cat:$uid|cat:'_slide_caption_'|cat:$i}
                        {else}
                            {$slideTitle = ''}
                        {/if}

                        {if !empty($slide.url)}
                            {$imgAttribs = $instance->getImageAttributes($slide.url, $slide.alt, $slide.title)}
                            <div class="splide__slide">
                                {if !empty($slide.link)}
                                    <a href="{$slide.link}"
                                        {if !empty($slide.title)}title="{$slide.title|escape:'html'}"{/if}
                                        class="dzm-opcis-link">
                                {/if}
                                        {$svgSrc = {Shop::getURL()}|cat:'/'|cat:{$smarty.const.PFAD_MEDIA_IMAGE}|cat:'storage/opc/'|cat:{$slide.url}}
                                        <div class="dzm-opcis-content-wrapper" {if $instance->getProperty('isBackground')} style="background-image:url({if $slide.url|strstr:'.svg'}  {$svgSrc} {else} {$imgAttribs.src}{/if});background-position:{$instance->getProperty('backgroundPosition')}; {/if}">
                                            {if $instance->getProperty('isBackground') == false}
                                                {if $slide.url|strstr:'.svg'}
                                                    {image src=$svgSrc}
                                                {else}
                                                    {image
                                                    srcset=$imgAttribs.srcset
                                                    sizes=$imgAttribs.srcsizes
                                                    src=$imgAttribs.src
                                                    alt=$imgAttribs.alt|escape:'html'
                                                    title=$slideTitle|escape:'html'
                                                    data=['desc' => $slide.desc|escape:'html']
                                                    class='dzm-opcis-img'}
                                                {/if}
                                            {/if}

                                            {if empty($slide.link)}
                                        </div>
                                        {else}
                                    </div>
                                </a>
                                {/if}
                            </div>
                        {/if}
                    {/foreach}


                </div>
            </div>
        {/if}

    </div>
    <script>
        document.addEventListener( 'DOMContentLoaded', function() {
            let splide = new Splide( '#{$uid}', {
                type   : 'loop',
                width   : '{$instance->getProperty('width')}',
                height   : '{$instance->getProperty('sliderheight')}',
                {if $instance->getProperty('useClones')}clones:'{$instance->getProperty('clones')}',{/if}
                arrows: {if $instance->getProperty('arrows')}true{else}false{/if},
                {*if $instance->getProperty('arrowPath') != null}arrowPath:'M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z',{/if*}
                {if $instance->getProperty('arrowType') == 1}
                    arrowPath:'M 4.388 1.58 a 1.452 1.452 90 0 1 2.056 0 l 17.424 17.424 a 1.452 1.452 90 0 1 0 2.056 l -17.424 17.424 a 1.452 1.452 90 0 1 -2.056 -2.056 L 20.7869 20.032 L 4.388 3.636 a 1.452 1.452 90 0 1 0 -2.056 z M 16.004 1.58 a 1.452 1.452 90 0 1 2.056 0 l 17.424 17.424 a 1.452 1.452 90 0 1 0 2.056 l -17.424 17.424 a 1.452 1.452 90 0 1 -2.056 -2.056 L 32.4029 20.032 L 16.004 3.636 a 1.452 1.452 90 0 1 0 -2.056 z',
                {elseif $instance->getProperty('arrowType') == 2}
                    arrowPath:'M 2 21 a 2.25 2.25 90 0 1 2.25 -2.25 h 26.0685 L 20.657 9.093 a 2.25 2.25 90 1 1 3.186 -3.186 l 13.5 13.5 a 2.25 2.25 90 0 1 0 3.186 l -13.5 13.5 a 2.25 2.25 90 0 1 -3.186 -3.186 L 30.3185 23.25 H 4.25 A 2.25 2.25 90 0 1 2 21 z',
                {else}
                    arrowPath:'M 11.0058 2.2077 a 1.3997 1.3997 90 0 1 1.9819 0 l 16.7962 16.7962 a 1.3997 1.3997 90 0 1 0 1.9819 l -16.7962 16.7962 a 1.3997 1.3997 90 0 1 -1.9819 -1.9819 L 26.8138 19.9949 L 11.0058 4.1897 a 1.3997 1.3997 90 0 1 0 -1.9819 z',
                {/if}
                pagination: {if $instance->getProperty('pagination')}true{else}false{/if},
                paginationDirection: '{$instance->getProperty('direction')}',
                direction: '{$instance->getProperty('direction')}',
                speed: '{$instance->getProperty('speed')}',
                drag: {if $instance->getProperty('drag')}true{else}false{/if},
                rewind: {if $instance->getProperty('rewind')}true{else}false{/if},
                rewindSpeed: '{$instance->getProperty('rewindSpeed')}',
                rewindByDrag: {if $instance->getProperty('rewindByDrag')}true{else}false{/if},
                autoplay: {if $instance->getProperty('autoplay')}true{else}false{/if},
                interval: '{$instance->getProperty('interval')}',
                pauseOnHover: {if $instance->getProperty('pauseOnHover')}true{else}false{/if},
                pauseOnFocus: {if $instance->getProperty('pauseOnFocus')}true{else}false{/if},

                perPage: '{$instance->getProperty('xl')}',
                perMove: '{$instance->getProperty('xlPerMove')}',
                breakpoints:{
                    576:{
                        perPage:'{$instance->getProperty('xs')}',
                        perMove:'{$instance->getProperty('perMove')}'
                    },
                    768:{
                        perPage:'{$instance->getProperty('s')}',
                        perMove:'{$instance->getProperty('sPerMove')}'
                    },
                    992:{
                        perPage:'{$instance->getProperty('m')}',
                        perMove:'{$instance->getProperty('mPerMove')}'
                    },
                    1300:{
                        perPage:'{$instance->getProperty('l')}',
                        perMove:'{$instance->getProperty('lPerMove')}'
                    }
                },
                gap: '{$instance->getProperty('gap')}',
                {if $instance->getProperty('fixedWidth') != ''}
                fixedWidth: '{$instance->getProperty('fixedWidth')}',
                {/if}
                {if $instance->getProperty('fixedHeight') != ''}
                fixedHeight: '{$instance->getProperty('fixedHeight')}',
                {/if}
                autoWidth: {if $instance->getProperty('autoWidth')}true{else}false{/if},
                autoHeight: {if $instance->getProperty('autoHeight')}true{else}false{/if},
                {if $instance->getProperty('heightRatio') != ''}
                heightRatio: '{$instance->getProperty('heightRatio')}',
                {/if}
                focus:'center',
                cloneStatus: false,


            } );


            splide.on( 'overflow', function ( isOverflow ) {
                splide.options = {
                    arrows    : {if $instance->getProperty('arrows')} isOverflow {else} false {/if},
                    pagination: {if $instance->getProperty('pagination')} isOverflow {else} false {/if},
                    drag      : {if isOverflow} '{$instance->getProperty('drag')}' {else} false {/if},
                };
            } );

            splide.mount();
        } );
    </script>
{/if}





